Debian Bug report logs - #445388
aptitude: Aptitude don't start correctly on machines with multiple CPUs

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Jan Rusnak <jr@cyberspace.sk>

Date: Fri, 5 Oct 2007 13:24:01 UTC

Severity: important

Found in version aptitude/0.4.4-4

Fixed in version 0.4.7-1

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#445388; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jan Rusnak <jr@cyberspace.sk>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Rusnak <jr@cyberspace.sk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: Aptitude don't start correctly on machines with multiple CPUs
Date: Fri, 05 Oct 2007 15:23:20 +0200
Package: aptitude
Version: 0.4.4-4
Severity: important

I was found this bug on my Debian server with 4core Xeon: When I start
Aptitude as root or normal user, it start OK for first time (rare not),
but when I start it next time, program start with broken up screen
layout, there is various garbage characters on screen. Every next start
screen look different. 
When I disable multiple core for Xeon with bios, Aptitude run OK, every
time. Similar behavior of Aptitude I saw on other my server which have
dual core CPUs. 
All this server have Etch installed: base system with (
Linux 2.6.21.1 #1 SMP i686 GNU/Linux) compiled from vanilla kernel.


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.21.1
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.6.46.4-0.1      Advanced front-end for dpkg
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libncursesw5           5.5-5             Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.17-2          type-safe Signal Framework for C++
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.0-1      parse Debian changelogs and output

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#445388; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Joshua Jones" <joshorjeff@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 445388@bugs.debian.org (full text, mbox):

From: "Joshua Jones" <joshorjeff@googlemail.com>
To: 445388@bugs.debian.org
Subject: re: aptitude: Aptitude don't start correctly on machines with multiple CPUs
Date: Fri, 4 Jan 2008 16:37:30 +0000
I get basically the same issue with a core II duo machine running
2.6.18-5-amd64 from the debian package.
It has also segfaulted on startup once, and also managed to completely
mess up the terminal display so that Chinese characters were displayed
(possibly also after segfaulting but I couldn't read the error since
it was corrupted); I assume this is caused by the same bug, whatever
it is.

I have seen this happening in: 1) The text console, 2) a fresh
gnome-terminal, 3) a fresh xterm.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#445388; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 445388@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Joshua Jones <joshorjeff@googlemail.com>, 445388@bugs.debian.org
Subject: Re: Bug#445388: aptitude: Aptitude don't start correctly on machines with multiple CPUs
Date: Tue, 08 Jan 2008 07:58:24 -0800
On Fri, Jan 04, 2008 at 04:37:30PM +0000, Joshua Jones <joshorjeff@googlemail.com> was heard to say:
> I get basically the same issue with a core II duo machine running
> 2.6.18-5-amd64 from the debian package.
> It has also segfaulted on startup once, and also managed to completely
> mess up the terminal display so that Chinese characters were displayed
> (possibly also after segfaulting but I couldn't read the error since
> it was corrupted); I assume this is caused by the same bug, whatever
> it is.
> 
> I have seen this happening in: 1) The text console, 2) a fresh
> gnome-terminal, 3) a fresh xterm.

  Is this on etch with the etch version of aptitude, or on some other
release / aptitude version?

   Thanks,
  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#445388; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 445388@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 445388@bugs.debian.org
Subject: Joshua is running etch
Date: Thu, 10 Jan 2008 20:42:04 -0800
  Joshua indicated in private mail that he's running etch, so this may
be the race that was fixed in 0.4.6/0.4.7.

  Daniel




Information stored :
Bug#445388; Package aptitude. (Sun, 11 Dec 2011 10:34:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 11 Dec 2011 10:34:59 GMT) Full text and rfc822 format available.

Message #25 received at 445388-quiet@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Jan Rusnak <jr@cyberspace.sk>, Joshua Jones <joshorjeff@googlemail.com>, 445388-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: #445388: aptitude: Aptitude don't start correctly on machines with multiple CPUs
Date: Sun, 11 Dec 2011 18:32:21 +0800
usertags 445388 + close-12
--

Hello

I am checking up on the status of this (old) bug.

Jan Rusnak <jr@cyberspace.sk> wrote:
> I was found this bug on my Debian server with 4core Xeon: When I start
> Aptitude as root or normal user, it start OK for first time (rare not),
> but when I start it next time, program start with broken up screen
> layout, there is various garbage characters on screen. Every next start
> screen look different.

"Joshua Jones" <joshorjeff@googlemail.com> wrote:
> I get basically the same issue with a core II duo machine running
> 2.6.18-5-amd64 from the debian package.

Daniel Burrows <dburrows@debian.org> wrote:
> Joshua indicated in private mail that he's running etch, so this may
> be the race that was fixed in 0.4.6/0.4.7.

Could anyone confirm whether or not the issue is still present since
these versions?  This bug has seen no further reports for 3+ years and I
have been unable to reproduce it (sid on multicore Xeon).

Thanks




Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Tue, 03 Jan 2012 02:39:06 GMT) Full text and rfc822 format available.

Notification sent to Jan Rusnak <jr@cyberspace.sk>:
Bug acknowledged by developer. (Tue, 03 Jan 2012 02:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 445388-done@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 445388-done@bugs.debian.org
Subject: Aptitude don't start correctly on machines with multiple CPUs
Date: Tue, 3 Jan 2012 10:35:29 +0800
Version: 0.4.7-1
X-Debbugs-CC: jr@cyberspace.sk, joshorjeff@googlemail.com

Daniel Burrows <dburrows@debian.org> wrote:
> Joshua indicated in private mail that he's running etch, so this may
> be the race that was fixed in 0.4.6/0.4.7.

Maintainer believes this may be fixed (long ago) so I am closing it.

If this is not the case and anyone can still reproduce this, please reopen.

Thanks.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jan 2012 07:44:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:17:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.